<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="C:\Aurora_Oct20\RSM\eclipse\workspace-cascadeplus\org.eclipse.wst.rdb.models.sql\src\model\SQLModel.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="KeyWords" content="ELongObject,Class ELongObject,SQLModel,model SQLModel,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>&lt;&lt;datatype&gt;&gt;&nbsp;ELongObject&nbsp;{Java}</b></font></p>

<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Parent&nbsp;Package</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="cat39a5ed04004e.htm" target="contents_frame">ecore</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Abstract</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Export&nbsp;Control</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>PublicAccess</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Link&nbsp;Class&nbsp;for</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Class&nbsp;Kind</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>NormalClass</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Cardinality</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>n</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Space</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Concurrency</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>Sequential</font></TD></TR><TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Persistence</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>No</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR></TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Attributes</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Name</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Class</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Type</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Initial&nbsp;Value</b></font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><IMG SRC="../../webviewer/30.jpg"BORDER=0><a href="att3b0f1e8d0369.htm" target="contents_frame">java.lang.Long</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2><a href="class3a68ebab02da.htm" target="contents_frame">ELongObject</a></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
</TABLE><BR><BR>
<BR><p><font FACE="Arial, Geneva" SIZE=3><b>Property Settings</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Java</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Final</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Static</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateDefaultConstructor</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>ConstructorIs</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>public</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Ctor_Set</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>public, protected, private, package</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateFinalizer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateStaticInitializer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateInstanceInitializer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>GenerateCode</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DisableAutoSync</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>ReadOnly</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>Strictfp</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
<font FACE="Arial, Geneva" SIZE=2><b>Data Modeler</b></font>
<TABLE BORDER=1 CELLSPACING=0 CELLPADDING=3>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>dmItem</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>DMName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsTable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsView</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDomain</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSPPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>Synonymns</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>TableSpaceID</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceId</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SourceType</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>CorrelationName</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>SelectClause</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsUpdateable</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>True</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>CheckOption</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>None</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>IsSnapShot</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsDistinct</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
<TR><TD><font FACE="Arial, Geneva" SIZE=2><b>PersistToServer</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>&nbsp;</font></TD><TD><font FACE="Arial, Geneva" SIZE=2><b>IsPackage</b></font></TD><TD><font FACE="Arial, Geneva" SIZE=2>False</font></TD></TR>
</TABLE><BR><BR>
</body>
</html>
